<?php
session_start();
include 'conexion.php';
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

$message = "";

// Verifica la conexión a la base de datos
if (!$conn) {
    die("Error de conexión: " . $conn->errorInfo()[2]);
}

// Si se ha enviado el formulario de recuperación de contraseña
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Obtener el correo electrónico ingresado por el usuario
    $correoElectronico = filter_var($_POST['correoElectronico'], FILTER_SANITIZE_EMAIL);
    
    try {
        // Verificar si el correo existe en la base de datos
        $stmt = $conn->prepare("SELECT * FROM usuarios WHERE correoElectronico = :correo");
        $stmt->bindParam(':correo', $correoElectronico);
        $stmt->execute();

        if ($stmt->rowCount() > 0) {
            // Generar un token único para el restablecimiento de contraseña
            $token = bin2hex(random_bytes(50)); // Token aleatorio de 50 bytes
            $fechaExpiracion = date("Y-m-d H:i:s", strtotime("+1 hour")); // El token expira en 1 hora

            // Guardar el token y su fecha de expiración en la base de datos
            $updateToken = $conn->prepare("UPDATE usuarios SET reset_token = :token, token_expiracion = :expiracion WHERE correoElectronico = :correo");
            $updateToken->bindParam(':token', $token);
            $updateToken->bindParam(':expiracion', $fechaExpiracion);
            $updateToken->bindParam(':correo', $correoElectronico);

            if ($updateToken->execute()) {
                // Crear enlace para restablecer la contraseña
                $resetLink = "http://localhost/quiztudio2/restablecer_contrasena.php?token=$token";
                $asunto = "Recupera tu Contraseña";
                $cuerpo = "Hola, para restablecer tu contraseña, haz clic en el siguiente enlace: <a href='$resetLink'>Restablecer mi contraseña</a>.<br><br>Este enlace expirará en 1 hora.";

                // Usar PHPMailer para enviar el correo
                require 'PHPMailer/src/Exception.php';
                require 'PHPMailer/src/PHPMailer.php';
                require 'PHPMailer/src/SMTP.php';

                $mail = new PHPMailer(true);
                try {
                    $mail->isSMTP();
                    $mail->Host = 'mail.appunitecnica.com';
                    $mail->SMTPAuth = true;
                    $mail->Username = 'cacastano@appunitecnica.com';
                    $mail->Password = 'Uni2024*';
                    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
                    $mail->Port = 465;

                    // Destinatarios
                    $mail->setFrom('cacastano@appunitecnica.com', 'Soporte Quiztudio');
                    $mail->addAddress($correoElectronico);

                    // Contenido del correo
                    $mail->isHTML(true);
                    $mail->Subject = $asunto;
                    $mail->Body = $cuerpo;

                    // Enviar correo
                    $mail->send();
                    $message = "<div class='message success'>Se ha enviado un enlace de restablecimiento a tu correo electrónico. Revisa tu bandeja de entrada.</div>";
                } catch (Exception $e) {
                    $message = "<div class='message error'>Hubo un error al enviar el correo: {$mail->ErrorInfo}</div>";
                }
            } else {
                $message = "<div class='message error'>Hubo un problema al generar el token de recuperación.</div>";
            }
        } else {
            $message = "<div class='message error'>El correo electrónico ingresado no está registrado.</div>";
        }
    } catch (PDOException $e) {
        $message = "<div class='message error'>Error en la consulta: " . $e->getMessage() . "</div>";
    }
}

$conn = null;
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Recuperar Contraseña - Quiztudio</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&family=Poppins:wght@600&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <style>
        /* Estilos generales */
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            font-family: 'Roboto', sans-serif;
            background-color: rgb(130, 165, 235);
            background-image: linear-gradient(135deg, rgba(63, 94, 251, 0.8) 0%, rgba(252, 70, 107, 0.8) 100%);
            overflow-x: hidden;
        }

        /* Contenedor principal */
        .main-container {
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }

        /* Barra de navegación */
        .navbar {
            background-color: rgba(0, 0, 0, 0.2);
            padding: 15px 30px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }

        .logo {
            display: flex;
            align-items: center;
            gap: 10px;
            font-size: 1.8rem;
            font-weight: bold;
            color: white;
            text-decoration: none;
        }

        .nav-link {
            color: white;
            text-decoration: none;
            font-weight: 500;
            padding: 5px 10px;
            border-radius: 5px;
            transition: all 0.3s ease;
        }

        .nav-link:hover {
            background-color: rgba(255, 255, 255, 0.2);
        }

        /* Contenido central */
        .content {
            flex: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 40px 20px;
            position: relative;
            z-index: 1;
        }

        /* Patrones decorativos */
        .bg-pattern {
            position: absolute;
            width: 100%;
            height: 100%;
            background-image: 
                radial-gradient(circle at 20% 30%, rgba(255, 255, 255, 0.2) 0%, transparent 10%),
                radial-gradient(circle at 80% 70%, rgba(255, 255, 255, 0.2) 0%, transparent 10%),
                radial-gradient(circle at 40% 80%, rgba(255, 255, 255, 0.2) 0%, transparent 8%),
                radial-gradient(circle at 60% 20%, rgba(255, 255, 255, 0.2) 0%, transparent 8%);
            z-index: -1;
        }

        /* Elementos flotantes decorativos */
        .floating-shapes {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            z-index: -1;
            overflow: hidden;
        }

        .shape {
            position: absolute;
            background-color: rgba(255, 255, 255, 0.1);
            border-radius: 50%;
            animation: float 15s infinite ease-in-out;
        }

        .shape:nth-child(1) {
            width: 100px;
            height: 100px;
            top: 10%;
            left: 10%;
            animation-delay: 0s;
        }

        .shape:nth-child(2) {
            width: 150px;
            height: 150px;
            top: 70%;
            left: 80%;
            animation-delay: 1s;
        }

        .shape:nth-child(3) {
            width: 60px;
            height: 60px;
            top: 30%;
            left: 85%;
            animation-delay: 2s;
        }

        .shape:nth-child(4) {
            width: 80px;
            height: 80px;
            top: 80%;
            left: 20%;
            animation-delay: 3s;
        }

        .shape:nth-child(5) {
            width: 120px;
            height: 120px;
            top: 40%;
            left: 40%;
            animation-delay: 4s;
        }

        @keyframes float {
            0%, 100% {
                transform: translateY(0) translateX(0);
            }
            25% {
                transform: translateY(-20px) translateX(10px);
            }
            50% {
                transform: translateY(0) translateX(20px);
            }
            75% {
                transform: translateY(20px) translateX(10px);
            }
        }

        /* Título principal */
        .main-title {
            font-family: 'Poppins', sans-serif;
            font-size: 4rem;
            font-weight: bold;
            color: #fff;
            text-shadow: 0 2px 10px rgba(0, 0, 0, 0.3), 0 0 40px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
            text-align: center;
            animation: pulse 2s infinite;
        }

        @keyframes pulse {
            0%, 100% {
                transform: scale(1);
            }
            50% {
                transform: scale(1.05);
            }
        }

        /* Eslogan */
        .slogan {
            font-size: 1.4rem;
            font-weight: normal;
            color: white;
            text-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
            margin-bottom: 40px;
            text-align: center;
        }

        /* Caja de recuperación */
        .recovery-box {
            text-align: center;
            padding: 35px;
            border-radius: 20px;
            background-color: rgba(255, 255, 255, 0.15);
            backdrop-filter: blur(10px);
            border: 2px solid rgba(255, 255, 255, 0.3);
            width: 400px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            transform: translateY(0);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
        }

        .recovery-box:hover {
            transform: translateY(-5px);
            box-shadow: 0 15px 35px rgba(0, 0, 0, 0.3);
        }

        /* Título de la caja */
        h2 {
            font-size: 2.2rem;
            margin-bottom: 15px;
            font-weight: bold;
            color: white;
        }

        /* Campos del formulario */
        .form-group {
            text-align: center;
            margin-bottom: 25px;
            position: relative;
        }

        .form-group label {
            display: block;
            font-weight: bold;
            margin-bottom: 8px;
            color: white;
            text-align: left;
            font-size: 1.1rem;
        }

        .form-group input {
            width: 100%;
            padding: 15px 15px 15px 45px;
            border: 1px solid rgba(255, 255, 255, 0.3);
            border-radius: 50px;
            font-size: 1rem;
            text-align: left;
            background-color: rgba(255, 255, 255, 0.1);
            color: white;
            box-sizing: border-box;
            transition: all 0.3s ease;
            backdrop-filter: blur(5px);
        }

        .form-group input::placeholder {
            color: rgba(255, 255, 255, 0.7);
        }

        .form-group input:focus {
            outline: none;
            background-color: rgba(255, 255, 255, 0.2);
            border-color: rgba(255, 255, 255, 0.5);
            box-shadow: 0 0 0 2px rgba(255, 255, 255, 0.1);
        }

        .form-group i {
            position: absolute;
            left: 15px;
            top: 41px;
            font-size: 1.2rem;
            color: rgba(255, 255, 255, 0.7);
        }

        /* Botones */
        .button-container {
            display: flex;
            justify-content: space-between;
            margin-top: 20px;
        }

        .button {
            background-color: rgb(248, 104, 20);
            color: white;
            font-size: 1.1rem;
            font-weight: bold;
            padding: 15px;
            border: none;
            border-radius: 50px;
            cursor: pointer;
            transition: all 0.3s ease;
            text-decoration: none;
            text-align: center;
            flex: 1;
            margin: 0 5px;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 10px;
        }

        .button:hover {
            background-color: #1976d2;
            transform: translateY(-3px);
            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.3);
        }

        .button i {
            font-size: 1.2rem;
        }

        /* Mensajes */
        .message {
            margin-top: 20px;
            padding: 15px;
            border-radius: 10px;
            font-weight: bold;
            text-align: center;
        }

        .error {
            background-color: rgba(255, 61, 0, 0.2);
            color: #ffebee;
            border: 1px solid #ff3d00;
        }

        .success {
            background-color: rgba(76, 175, 80, 0.2);
            color: #e8f5e9;
            border: 1px solid #4caf50;
        }

        /* Footer */
        .footer {
            background-color: rgba(0, 0, 0, 0.2);
            padding: 20px;
            text-align: center;
            color: white;
        }

        /* Responsivo */
        @media (max-width: 768px) {
            .recovery-box {
                width: 90%;
                padding: 25px;
            }
            
            .main-title {
                font-size: 3rem;
            }
            
            .slogan {
                font-size: 1.2rem;
            }
            
            .button-container {
                flex-direction: column;
                gap: 10px;
            }
            
            .button {
                width: 100%;
                margin: 5px 0;
            }
        }
    </style>
</head>
<body>
    <div class="main-container">
        <!-- Barra de navegación -->
        <nav class="navbar">
            <a href="index.php" class="logo">
                <i class="fas fa-brain"></i> Quiztudio
            </a>
            <div>
                <a href="index.php" class="nav-link">Volver al Inicio</a>
            </div>
        </nav>
        
        <!-- Contenido principal -->
        <div class="content">
            <!-- Fondo con patrones -->
            <div class="bg-pattern"></div>
            
            <!-- Formas flotantes -->
            <div class="floating-shapes">
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
            </div>
            
            <!-- Título principal -->
            <h1 class="main-title">💭 Quiztudio 🎓</h1>
            <p class="slogan">📚 Aprende jugando y diviértete aprendiendo 📝</p>  

            <!-- Caja de recuperación -->
            <div class="recovery-box">
                <h2>Recuperar Contraseña</h2>
                <form method="POST">
                    <div class="form-group">
                        <label for="correoElectronico">Correo Electrónico:</label>
                        <i class="fas fa-envelope"></i>
                        <input type="email" name="correoElectronico" id="correoElectronico" placeholder="Ingresa tu correo" required>
                    </div>

                    <div class="button-container">
                        <a href="index.php" class="button">
                            <i class="fas fa-home"></i> Inicio
                        </a>
                        <button type="submit" class="button">
                            <i class="fas fa-paper-plane"></i> Enviar Enlace
                        </button>
                    </div>
                </form>

                <!-- Mostrar el mensaje de error o éxito -->
                <?php if ($message): ?>
                    <?php echo $message; ?>
                <?php endif; ?>
            </div>
        </div>
        
        <!-- Footer -->
        <footer class="footer">
            <p>© 2025 Quiztudio. Todos los derechos reservados.</p>
        </footer>
    </div>
</body>
</html>