<?php
session_start();
include("conexion.php");

$message = "";

if (isset($_GET['token'])) {
    $token = $_GET['token'];

    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        $nuevoPassword = mysqli_real_escape_string($Conexion, $_POST['nuevoPassword']);
        $sql = "SELECT * FROM usuarios WHERE reset_token = ? AND token_expiracion > NOW()";
        $stmt = mysqli_prepare($Conexion, $sql);
        mysqli_stmt_bind_param($stmt, "s", $token);
        mysqli_stmt_execute($stmt);
        $result = mysqli_stmt_get_result($stmt);

        if (mysqli_num_rows($result) > 0) {
            $hashedPassword = password_hash($nuevoPassword, PASSWORD_DEFAULT);
            $updatePassword = "UPDATE usuarios SET password = ?, reset_token = NULL, token_expiracion = NULL WHERE reset_token = ?";
            $stmtUpdate = mysqli_prepare($Conexion, $updatePassword);
            mysqli_stmt_bind_param($stmtUpdate, "ss", $hashedPassword, $token);

            if (mysqli_stmt_execute($stmtUpdate)) {
                $message = "<p class='success'>Contraseña restablecida con éxito.</p>";
            } else {
                $message = "<p class='error'>Hubo un error al actualizar la contraseña. Por favor intenta nuevamente.</p>";
            }
        } else {
            $message = "<p class='error'>El token es inválido o ha expirado.</p>";
        }

        mysqli_stmt_close($stmtUpdate);
        mysqli_stmt_close($stmt);
    }
}

mysqli_close($Conexion);
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Restablecer Contraseña</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <div class="recovery-container">
        <div class="form-box">
            <h2>Restablecer Contraseña</h2>
            <form method="POST">
                <div class="form-group">
                    <label for="nuevoPassword">Nueva Contraseña:</label>
                    <input type="password" name="nuevoPassword" id="nuevoPassword" placeholder="Ingresa tu nueva contraseña" required>
                </div>
                <div class="form-group">
                    <button type="submit">Restablecer Contraseña</button>
                </div>
            </form>
            <?php if ($message): ?>
                <div class="message"><?= $message ?></div>
            <?php endif; ?>
            <div class="extra-options">
                <p><a href="index.php">Volver al inicio</a></p>
            </div>
        </div>
    </div>
</body>
</html>
