<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Trivia Sistemas IA - Quiztudio</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&family=Poppins:wght@600&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <style>
        /* Estilos generales */
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            font-family: 'Roboto', sans-serif;
            background-color: rgb(130, 165, 235);
            background-image: linear-gradient(135deg, rgba(63, 94, 251, 0.8) 0%, rgba(252, 70, 107, 0.8) 100%);
            overflow-x: hidden;
        }

        /* Contenedor principal */
        .main-container {
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }

        /* Barra de navegación */
        .navbar {
            background-color: rgba(0, 0, 0, 0.2);
            padding: 15px 30px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }

        .logo {
            display: flex;
            align-items: center;
            gap: 10px;
            font-size: 1.8rem;
            font-weight: bold;
            color: white;
            text-decoration: none;
        }

        .nav-links {
            display: flex;
            gap: 20px;
        }

        .nav-link {
            color: white;
            text-decoration: none;
            font-weight: 500;
            padding: 5px 10px;
            border-radius: 5px;
            transition: all 0.3s ease;
        }

        .nav-link:hover {
            background-color: rgba(255, 255, 255, 0.2);
        }

        /* Contenido central */
        .content {
            flex: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 40px 20px;
            position: relative;
            z-index: 1;
        }

        /* Patrones decorativos */
        .bg-pattern {
            position: absolute;
            width: 100%;
            height: 100%;
            background-image: 
                radial-gradient(circle at 20% 30%, rgba(255, 255, 255, 0.2) 0%, transparent 10%),
                radial-gradient(circle at 80% 70%, rgba(255, 255, 255, 0.2) 0%, transparent 10%),
                radial-gradient(circle at 40% 80%, rgba(255, 255, 255, 0.2) 0%, transparent 8%),
                radial-gradient(circle at 60% 20%, rgba(255, 255, 255, 0.2) 0%, transparent 8%);
            z-index: -1;
        }

        /* Elementos flotantes decorativos */
        .floating-shapes {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            z-index: -1;
            overflow: hidden;
        }

        .shape {
            position: absolute;
            background-color: rgba(255, 255, 255, 0.1);
            border-radius: 50%;
            animation: float 15s infinite ease-in-out;
        }

        .shape:nth-child(1) {
            width: 100px;
            height: 100px;
            top: 10%;
            left: 10%;
            animation-delay: 0s;
        }

        .shape:nth-child(2) {
            width: 150px;
            height: 150px;
            top: 70%;
            left: 80%;
            animation-delay: 1s;
        }

        .shape:nth-child(3) {
            width: 60px;
            height: 60px;
            top: 30%;
            left: 85%;
            animation-delay: 2s;
        }

        .shape:nth-child(4) {
            width: 80px;
            height: 80px;
            top: 80%;
            left: 20%;
            animation-delay: 3s;
        }

        .shape:nth-child(5) {
            width: 120px;
            height: 120px;
            top: 40%;
            left: 40%;
            animation-delay: 4s;
        }

        @keyframes float {
            0%, 100% {
                transform: translateY(0) translateX(0);
            }
            25% {
                transform: translateY(-20px) translateX(10px);
            }
            50% {
                transform: translateY(0) translateX(20px);
            }
            75% {
                transform: translateY(20px) translateX(10px);
            }
        }

        /* Título principal */
        .main-title {
            font-family: 'Poppins', sans-serif;
            font-size: 4rem;
            font-weight: bold;
            color: #fff;
            text-shadow: 0 2px 10px rgba(0, 0, 0, 0.3), 0 0 40px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
            text-align: center;
            animation: pulse 2s infinite;
        }

        @keyframes pulse {
            0%, 100% {
                transform: scale(1);
            }
            50% {
                transform: scale(1.05);
            }
        }

        /* Eslogan */
        .slogan {
            font-size: 1.4rem;
            font-weight: normal;
            color: white;
            text-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
            margin-bottom: 40px;
            text-align: center;
        }

        /* Estilos específicos para la trivia */
        .trivia-container {
            width: 100%;
            max-width: 800px;
            margin: 0 auto;
        }

        .trivia-title {
            font-size: 2.2rem;
            color: white;
            background-color: rgba(27, 60, 231, 0.7);
            padding: 15px 25px;
            border-radius: 10px;
            margin: 20px 0;
            text-align: center;
            border: 2px solid rgba(255, 255, 255, 0.3);
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            backdrop-filter: blur(5px);
        }

        .question {
            border: 2px solid rgba(255, 255, 255, 0.3);
            background: rgba(255, 255, 255, 0.15);
            padding: 30px;
            margin-bottom: 30px;
            border-radius: 15px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            text-align: center;
            backdrop-filter: blur(5px);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
        }

        .question:hover {
            transform: translateY(-5px);
            box-shadow: 0 15px 35px rgba(0, 0, 0, 0.3);
        }

        .question h2 {
            margin: 0 0 20px 0;
            font-size: 1.5rem;
            color: white;
            font-weight: bold;
        }

        .options {
            list-style-type: none;
            padding: 0;
            margin: 0;
        }

        .options li {
            margin: 15px 0;
        }

        .option-btn {
            background-color: rgba(248, 104, 20, 0.9);
            color: white;
            border: none;
            padding: 15px 20px;
            border-radius: 50px;
            font-size: 1rem;
            cursor: pointer;
            transition: all 0.3s ease;
            width: 100%;
            text-align: left;
            display: flex;
            align-items: center;
            gap: 10px;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
        }

        .option-btn:hover:not(:disabled) {
            background-color: rgba(248, 104, 20, 1);
            transform: translateY(-3px);
            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.3);
        }

        .option-btn:disabled {
            opacity: 0.7;
            cursor: not-allowed;
        }

        #next-button {
            margin-top: 20px;
            display: block;
            margin-left: auto;
            margin-right: auto;
            max-width: 200px;
            background-color: rgb(248, 104, 20);
            color: white;
            font-size: 1.1rem;
            font-weight: bold;
            padding: 15px;
            border: none;
            border-radius: 50px;
            cursor: pointer;
            transition: all 0.3s ease;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 10px;
        }

        #next-button:hover {
            background-color: #1976d2;
            transform: translateY(-3px);
            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.3);
        }

        #result {
            text-align: center;
            margin-top: 20px;
            width: 100%;
            max-width: 800px;
            background: rgba(255, 255, 255, 0.15);
            padding: 30px;
            border-radius: 15px;
            border: 2px solid rgba(255, 255, 255, 0.3);
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            backdrop-filter: blur(5px);
        }

        #result h2 {
            font-size: 2rem;
            color: white;
            margin-bottom: 20px;
        }

        #score {
            font-size: 1.5rem;
            color: white;
            margin-bottom: 20px;
        }

        .back-button {
            display: block;
            margin: 30px auto;
            background-color: rgb(248, 104, 20);
            color: white;
            font-size: 1.1rem;
            font-weight: bold;
            padding: 15px 30px;
            border: none;
            border-radius: 50px;
            cursor: pointer;
            transition: all 0.3s ease;
            text-decoration: none;
            text-align: center;
            max-width: 200px;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
        }

        .back-button:hover {
            background-color: #1976d2;
            transform: translateY(-3px);
            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.3);
        }

        /* Footer */
        .footer {
            background-color: rgba(0, 0, 0, 0.2);
            padding: 20px;
            text-align: center;
            color: white;
        }

        /* Clases para respuestas */
        .correct {
            background-color: #4caf50 !important;
        }

        .incorrect {
            background-color: #f44336 !important;
        }

        /* Temporizador */
        .timer-container {
            margin: 20px 0;
            text-align: center;
        }

        .timer {
            font-size: 1.5rem;
            font-weight: bold;
            color: white;
            background-color: rgba(248, 104, 20, 0.9);
            padding: 10px 20px;
            border-radius: 50px;
            border: 2px solid rgba(255, 255, 255, 0.3);
            display: inline-block;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
        }

        .time-warning {
            animation: pulse 0.5s infinite alternate;
        }

        @keyframes pulse {
            from { transform: scale(1); }
            to { transform: scale(1.1); background-color: #f44336; }
        }

        /* Detalles de resultados */
        .result-details {
            margin-top: 30px;
            text-align: left;
        }

        .result-item {
            margin-bottom: 20px;
            padding: 15px;
            background: rgba(255, 255, 255, 0.1);
            border-radius: 10px;
            border-left: 5px solid transparent;
        }

        .result-correct {
            border-left-color: #4caf50;
        }

        .result-incorrect {
            border-left-color: #f44336;
        }

        .result-item p {
            margin: 8px 0;
            color: white;
        }

        .result-item strong {
            color: white;
        }

        /* Responsivo */
        @media (max-width: 768px) {
            .main-title {
                font-size: 3rem;
            }
            
            .slogan {
                font-size: 1.2rem;
            }
            
            .trivia-title {
                font-size: 1.8rem;
                padding: 12px 20px;
            }
            
            .question {
                padding: 20px;
            }
            
            .option-btn {
                padding: 12px 15px;
            }
            
            #result {
                padding: 20px;
            }
            
            .nav-links {
                flex-direction: column;
                gap: 10px;
            }
        }
    </style>
</head>
<body>
    <div class="main-container">
        <!-- Barra de navegación -->
        <nav class="navbar">
            <a href="index.php" class="logo">
                <i class="fas fa-brain"></i> Quiztudio
            </a>
            <div class="nav-links">
                <a href="pagina_principal.php" class="nav-link">Inicio</a>
                <a href="RegistrarUsuario.php" class="nav-link">Registrar Usuario</a>
                <a href="cerrar_sesion.php" class="nav-link">Cerrar Sesión</a>
            </div>
        </nav>
        
        <!-- Contenido principal -->
        <div class="content">
            <!-- Fondo con patrones -->
            <div class="bg-pattern"></div>
            
            <!-- Formas flotantes -->
            <div class="floating-shapes">
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
            </div>
            
            <!-- Título principal -->
            <h1 class="main-title">💭 Quiztudio 🎓</h1>
            <p class="slogan">📚 Aprende jugando y diviértete aprendiendo 📝</p>  

            <!-- Contenedor de la trivia -->
            <div class="trivia-container">
                <div class="trivia-title">Trivia de Sistemas IA</div>
                <div id="quiz-container"></div>
                <button id="next-button" style="display:none">
                    <i class="fas fa-arrow-right"></i> Siguiente
                </button>
                <div id="result" style="display:none;">
                    <h2>Resultados Finales</h2>
                    <p id="score"></p>
                    <div id="feedback"></div>
                    <div id="result-details" class="result-details"></div>
                </div>
                <a href="pagina_principal.php" class="back-button">
                    <i class="fas fa-home"></i> Regresar a Inicio
                </a>
            </div>
        </div>
        
        <!-- Footer -->
        <footer class="footer">
            <p>© 2025 Quiztudio. Todos los derechos reservados.</p>
        </footer>
    </div>

    <script>
        const questions = [
            {
                question: "¿Qué es Machine Learning?",
                options: [
                    "Un subconjunto de la inteligencia artificial",
                    "Un sistema experto",
                    "Un programa para jugar ajedrez",
                    "Una base de datos avanzada"
                ],
                correct: 0,
                explanation: "Machine Learning es un subcampo de la inteligencia artificial que se centra en el desarrollo de sistemas que pueden aprender de los datos."
            },
            {
                question: "¿Qué algoritmo se utiliza para clasificar datos?",
                options: [
                    "K-Means",
                    "SVM",
                    "PCA",
                    "KNN"
                ],
                correct: 3,
                explanation: "KNN (K-Nearest Neighbors) es un algoritmo simple y efectivo para problemas de clasificación."
            },
            {
                question: "¿Cuál es un lenguaje común para programar IA?",
                options: [
                    "Python",
                    "HTML",
                    "CSS",
                    "SQL"
                ],
                correct: 0,
                explanation: "Python es el lenguaje más popular para IA debido a su sintaxis simple y gran cantidad de bibliotecas especializadas."
            },
            {
                question: "¿Qué es un modelo supervisado?",
                options: [
                    "Un modelo entrenado con datos etiquetados",
                    "Un modelo para datos no estructurados",
                    "Un modelo no supervisado",
                    "Un algoritmo genético"
                ],
                correct: 0,
                explanation: "El aprendizaje supervisado requiere datos etiquetados para entrenar modelos predictivos."
            },
            {
                question: "¿Qué mide la función de pérdida?",
                options: [
                    "La precisión del modelo",
                    "El error del modelo",
                    "La velocidad de aprendizaje",
                    "El tamaño del modelo"
                ],
                correct: 1,
                explanation: "La función de pérdida cuantifica qué tan diferentes son las predicciones del modelo de los valores reales."
            },
            {
                question: "¿Qué técnica reduce el sobreajuste?",
                options: [
                    "Regularización",
                    "Batch Normalization",
                    "Gradiente Descendente",
                    "Clustering"
                ],
                correct: 0,
                explanation: "La regularización añade penalizaciones a los parámetros del modelo para evitar que se ajuste demasiado a los datos de entrenamiento."
            },
            {
                question: "¿Qué es un árbol de decisión?",
                options: [
                    "Un algoritmo de clasificación y regresión",
                    "Un algoritmo de clustering",
                    "Una red neuronal",
                    "Un modelo de series temporales"
                ],
                correct: 0,
                explanation: "Los árboles de decisión son modelos predictivos que dividen los datos en subconjuntos basados en reglas de decisión."
            },
            {
                question: "¿Qué significa NLP en IA?",
                options: [
                    "Natural Language Processing",
                    "Neural Learning Process",
                    "Network Learning Protocol",
                    "Nonecitation Logical Processing"
                ],
                correct: 0,
                explanation: "NLP (Natural Language Processing) es el campo de la IA que se ocupa de la interacción entre computadoras y lenguaje humano."
            },
            {
                question: "¿Qué es un perceptrón?",
                options: [
                    "Una unidad básica de una red neuronal",
                    "Una base de datos",
                    "Un modelo genético",
                    "Un modelo de clustering"
                ],
                correct: 0,
                explanation: "El perceptrón es la unidad fundamental de una red neuronal artificial, que imita el funcionamiento de una neurona biológica."
            },
            {
                question: "¿Cuál es el propósito del aprendizaje profundo?",
                options: [
                    "Procesar grandes cantidades de datos",
                    "Crear gráficos",
                    "Diseñar redes",
                    "Crear modelos estadísticos simples"
                ],
                correct: 0,
                explanation: "El aprendizaje profundo es especialmente efectivo para encontrar patrones complejos en grandes conjuntos de datos."
            }
        ];

        let currentQuestionIndex = 0;
        let score = 0;
        let timer;
        let timeLeft = 15;
        let userAnswers = [];

        const quizContainer = document.getElementById('quiz-container');
        const nextButton = document.getElementById('next-button');
        const resultContainer = document.getElementById('result');
        const scoreText = document.getElementById('score');
        const feedbackContainer = document.getElementById('feedback');
        const resultDetailsContainer = document.getElementById('result-details');

        function showQuestion() {
            timeLeft = 15;
            clearInterval(timer);
            
            const currentQuestion = questions[currentQuestionIndex];
            quizContainer.innerHTML = `
                <div class="question">
                    <h2>${currentQuestion.question}</h2>
                    <div class="timer-container">
                        <div class="timer" id="timer">${timeLeft}</div>
                    </div>
                    <ul class="options">
                        ${currentQuestion.options.map((option, index) => `
                            <li><button class="option-btn" data-index="${index}">
                                <i class="fas fa-circle"></i> ${option}
                            </button></li>
                        `).join('')}
                    </ul>
                </div>
            `;
            
            nextButton.style.display = 'none';
            feedbackContainer.innerHTML = '';
            addOptionListeners();
            startTimer();
        }

        function startTimer() {
            const timerElement = document.getElementById('timer');
            
            timer = setInterval(() => {
                timeLeft--;
                timerElement.textContent = timeLeft;
                
                if (timeLeft <= 5) {
                    timerElement.classList.add('time-warning');
                }
                
                if (timeLeft <= 0) {
                    clearInterval(timer);
                    timeUp();
                }
            }, 1000);
        }

        function timeUp() {
            const currentQuestion = questions[currentQuestionIndex];
            const optionButtons = document.querySelectorAll('.option-btn');
            
            userAnswers.push({
                question: currentQuestion.question,
                userAnswer: null,
                correctAnswer: currentQuestion.options[currentQuestion.correct],
                explanation: currentQuestion.explanation,
                isCorrect: false,
                timeUp: true
            });
            
            optionButtons.forEach((button, index) => {
                button.disabled = true;
                if (index === currentQuestion.correct) {
                    button.classList.add('correct');
                    button.innerHTML = `<i class="fas fa-check"></i> ${currentQuestion.options[index]}`;
                } else {
                    button.innerHTML = `<i class="fas fa-times"></i> ${currentQuestion.options[index]}`;
                }
            });
            
            feedbackContainer.innerHTML = `
                <p>¡Tiempo agotado! La respuesta correcta era: <strong>${currentQuestion.options[currentQuestion.correct]}</strong></p>
                <p>${currentQuestion.explanation}</p>
            `;
            nextButton.style.display = 'block';
        }

        function checkAnswer(selectedIndex) {
            clearInterval(timer);
            const currentQuestion = questions[currentQuestionIndex];
            const optionButtons = document.querySelectorAll('.option-btn');
            const timerElement = document.getElementById('timer');
            
            if (timerElement) {
                timerElement.classList.remove('time-warning');
            }

            const isCorrect = selectedIndex === currentQuestion.correct;
            userAnswers.push({
                question: currentQuestion.question,
                userAnswer: currentQuestion.options[selectedIndex],
                correctAnswer: currentQuestion.options[currentQuestion.correct],
                explanation: currentQuestion.explanation,
                isCorrect: isCorrect,
                timeUp: false
            });

            if (isCorrect) {
                score++;
            }

            optionButtons.forEach((button, index) => {
                button.disabled = true;
                if (index === currentQuestion.correct) {
                    button.classList.add('correct');
                    button.innerHTML = `<i class="fas fa-check"></i> ${currentQuestion.options[index]}`;
                } else if (index === selectedIndex) {
                    button.classList.add('incorrect');
                    button.innerHTML = `<i class="fas fa-times"></i> ${currentQuestion.options[index]}`;
                } else {
                    button.innerHTML = `<i class="fas fa-circle"></i> ${currentQuestion.options[index]}`;
                }
            });

            feedbackContainer.innerHTML = isCorrect ? 
                `<p>¡Correcto! ${currentQuestion.explanation}</p>` :
                `<p>Incorrecto. La respuesta correcta es: <strong>${currentQuestion.options[currentQuestion.correct]}</strong></p>
                 <p>${currentQuestion.explanation}</p>`;

            nextButton.style.display = 'block';
        }

        function addOptionListeners() {
            document.querySelectorAll('.option-btn').forEach(button => {
                button.addEventListener('click', (e) => {
                    const selectedIndex = parseInt(e.target.getAttribute('data-index'));
                    checkAnswer(selectedIndex);
                });
            });
        }

        function showResults() {
            quizContainer.style.display = 'none';
            nextButton.style.display = 'none';
            resultContainer.style.display = 'block';
            
            const percentage = Math.round((score / questions.length) * 100);
            scoreText.textContent = `Tu puntaje es ${score} de ${questions.length} (${percentage}%)`;
            
            if (percentage >= 80) {
                feedbackContainer.innerHTML += "<p>¡Excelente! Dominas los conceptos de Sistemas IA.</p>";
            } else if (percentage >= 50) {
                feedbackContainer.innerHTML += "<p>Buen trabajo, pero hay áreas que podrías reforzar.</p>";
            } else {
                feedbackContainer.innerHTML += "<p>Sigue aprendiendo, la IA es un campo fascinante.</p>";
            }

            showDetailedResults();
        }

        function showDetailedResults() {
            let detailsHTML = '<h3>Detalle de respuestas:</h3>';
            
            userAnswers.forEach((answer, index) => {
                const resultClass = answer.isCorrect ? 'result-correct' : 'result-incorrect';
                
                detailsHTML += `
                    <div class="result-item ${resultClass}">
                        <p><strong>Pregunta ${index + 1}:</strong> ${answer.question}</p>
                        ${answer.timeUp ? 
                            '<p><i class="fas fa-clock"></i> No respondiste a tiempo</p>' : 
                            `<p><i class="fas fa-user"></i> Tu respuesta: ${answer.userAnswer}</p>`
                        }
                        <p><i class="fas fa-check-circle"></i> Respuesta correcta: ${answer.correctAnswer}</p>
                        <p><i class="fas fa-info-circle"></i> Explicación: ${answer.explanation}</p>
                    </div>
                `;
            });
            
            resultDetailsContainer.innerHTML = detailsHTML;
        }

        nextButton.addEventListener('click', () => {
            currentQuestionIndex++;
            if (currentQuestionIndex < questions.length) {
                showQuestion();
            } else {
                showResults();
            }
        });

        showQuestion();
    </script>
</body>
</html>