<?php
session_start();

// Conexión a la base de datos
include("conexion.php");

// Verifica la conexión
if (!$conn) {
    die("Error de conexión: " . $conn->errorInfo()[2]);
}

// Procesar el formulario
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $correo = filter_var($_POST['correo'], FILTER_SANITIZE_EMAIL);
    $contrasena = $_POST['contrasena'];

    try {
        // Consulta para verificar las credenciales
        $stmt = $conn->prepare("SELECT * FROM usuarios WHERE correo = :correo");
        $stmt->bindParam(':correo', $correo);
        $stmt->execute();

        if ($stmt->rowCount() > 0) {
            $row = $stmt->fetch(PDO::FETCH_ASSOC);


            // Verifica la contraseña
            if (password_verify($contrasena, $row['contrasena'])) {

                // Validar la existencia del Correo Electrónico, si es la primera vez que se realiza el login
                if ($row['Correo_Verificado'] == 0) {

                    $_SESSION['correo'] = $row['correo'];
                    header("Location: verificacion_correo.php");
                    exit();
                } else {
                    // Credenciales correctas, redirigir a la página principal
                    $_SESSION['correo'] = $row['correo'];
                    header("Location: pagina_principal.php");
                    exit();
                }
            } else {
                // Contraseña incorrecta
                header("Location: login.php?error=dadsdUsuario o contraseña incorrectos");
                exit();
            }
        } else {
            // Correo no encontrado
            header("Location: login.php?error=Usuario o contraseña incorrectos");
            exit();
        }
    } catch (PDOException $e) {
        // Error en la consulta
        header("Location: login.php?error=Error en la consulta: " . urlencode($e->getMessage()));
        exit();
    }
}

// Cerrar la conexión
$conn = null;
