<?php
session_start();

// Verificar si el usuario tiene una sesión activa
$correo = $_SESSION['correo'];
if (!isset($correo)) {
    echo "<script>location.href='index.php';</script>";
    exit(); // Asegurarse de que el script se detenga si no hay sesión activa
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Validación de Correo - Quiztudio</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&family=Poppins:wght@600&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <style>
        /* Estilos generales */
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            font-family: 'Roboto', sans-serif;
            background-color: rgb(130, 165, 235);
            background-image: linear-gradient(135deg, rgba(63, 94, 251, 0.8) 0%, rgba(252, 70, 107, 0.8) 100%);
            overflow-x: hidden;
        }

        /* Contenedor principal */
        .main-container {
            display: flex;
            flex-direction: column;
            min-height: 100vh;
        }

        /* Barra de navegación */
        .navbar {
            background-color: rgba(0, 0, 0, 0.2);
            padding: 15px 30px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        }

        .logo {
            display: flex;
            align-items: center;
            gap: 10px;
            font-size: 1.8rem;
            font-weight: bold;
            color: white;
            text-decoration: none;
        }

        .nav-links {
            display: flex;
            gap: 20px;
        }

        .nav-link {
            color: white;
            text-decoration: none;
            font-weight: 500;
            padding: 5px 10px;
            border-radius: 5px;
            transition: all 0.3s ease;
        }

        .nav-link:hover {
            background-color: rgba(255, 255, 255, 0.2);
        }

        /* Contenido central */
        .content {
            flex: 1;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            padding: 40px 20px;
            position: relative;
            z-index: 1;
        }

        /* Patrones decorativos */
        .bg-pattern {
            position: absolute;
            width: 100%;
            height: 100%;
            background-image: 
                radial-gradient(circle at 20% 30%, rgba(255, 255, 255, 0.2) 0%, transparent 10%),
                radial-gradient(circle at 80% 70%, rgba(255, 255, 255, 0.2) 0%, transparent 10%),
                radial-gradient(circle at 40% 80%, rgba(255, 255, 255, 0.2) 0%, transparent 8%),
                radial-gradient(circle at 60% 20%, rgba(255, 255, 255, 0.2) 0%, transparent 8%);
            z-index: -1;
        }

        /* Elementos flotantes decorativos */
        .floating-shapes {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            z-index: -1;
            overflow: hidden;
        }

        .shape {
            position: absolute;
            background-color: rgba(255, 255, 255, 0.1);
            border-radius: 50%;
            animation: float 15s infinite ease-in-out;
        }

        .shape:nth-child(1) {
            width: 100px;
            height: 100px;
            top: 10%;
            left: 10%;
            animation-delay: 0s;
        }

        .shape:nth-child(2) {
            width: 150px;
            height: 150px;
            top: 70%;
            left: 80%;
            animation-delay: 1s;
        }

        .shape:nth-child(3) {
            width: 60px;
            height: 60px;
            top: 30%;
            left: 85%;
            animation-delay: 2s;
        }

        .shape:nth-child(4) {
            width: 80px;
            height: 80px;
            top: 80%;
            left: 20%;
            animation-delay: 3s;
        }

        .shape:nth-child(5) {
            width: 120px;
            height: 120px;
            top: 40%;
            left: 40%;
            animation-delay: 4s;
        }

        @keyframes float {
            0%, 100% {
                transform: translateY(0) translateX(0);
            }
            25% {
                transform: translateY(-20px) translateX(10px);
            }
            50% {
                transform: translateY(0) translateX(20px);
            }
            75% {
                transform: translateY(20px) translateX(10px);
            }
        }

        /* Título principal */
        .main-title {
            font-family: 'Poppins', sans-serif;
            font-size: 4rem;
            font-weight: bold;
            color: #fff;
            text-shadow: 0 2px 10px rgba(0, 0, 0, 0.3), 0 0 40px rgba(255, 102, 0, 0.8);
            margin-bottom: 5px;
            text-align: center;
            animation: pulse 2s infinite;
        }

        @keyframes pulse {
            0%, 100% {
                transform: scale(1);
            }
            50% {
                transform: scale(1.05);
            }
        }

        /* Eslogan */
        .slogan {
            font-size: 1.4rem;
            font-weight: normal;
            color: white;
            text-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
            margin-bottom: 40px;
            text-align: center;
        }

        /* Caja de opciones */
        .options-box {
            text-align: center;
            padding: 35px;
            border-radius: 20px;
            background-color: rgba(255, 255, 255, 0.15);
            backdrop-filter: blur(10px);
            border: 2px solid rgba(255, 255, 255, 0.3);
            width: 400px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
            transform: translateY(0);
            transition: transform 0.3s ease, box-shadow 0.3s ease;
        }

        .options-box:hover {
            transform: translateY(-5px);
            box-shadow: 0 15px 35px rgba(0, 0, 0, 0.3);
        }

        /* Título de la caja */
        h2 {
            font-size: 2.2rem;
            margin-bottom: 15px;
            font-weight: bold;
            color: white;
        }

        /* Texto descriptivo */
        p {
            font-size: 1.1rem;
            margin-bottom: 30px;
            color: white;
        }

        /* Formulario */
        form {
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
        }

        input[type="text"] {
            width: 90%;
            padding: 15px;
            margin-bottom: 20px;
            border: none;
            border-radius: 50px;
            font-size: 1rem;
            text-align: center;
            background-color: rgba(255, 255, 255, 0.8);
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
        }

        /* Botones */
        .button {
            width: 100%;
            background-color: rgb(248, 104, 20);
            color: white;
            font-size: 1.1rem;
            font-weight: bold;
            padding: 15px;
            border: none;
            border-radius: 50px;
            cursor: pointer;
            transition: all 0.3s ease;
            box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 10px;
            text-decoration: none;
        }

        .button:hover {
            background-color: #1976d2;
            transform: translateY(-3px);
            box-shadow: 0 6px 20px rgba(0, 0, 0, 0.3);
        }

        /* Footer */
        .footer {
            background-color: rgba(0, 0, 0, 0.2);
            padding: 20px;
            text-align: center;
            color: white;
        }

        /* Logo */
        .logo-container {
            display: flex;
            justify-content: center;
            margin-bottom: 20px;
        }

        .logo-container img {
            max-width: 200px;
            height: auto;
        }

        /* Responsivo */
        @media (max-width: 768px) {
            .options-box {
                width: 90%;
                padding: 25px;
            }
            
            .main-title {
                font-size: 3rem;
            }
            
            .slogan {
                font-size: 1.2rem;
            }
            
            h2 {
                font-size: 1.8rem;
            }
        }
    </style>
</head>
<body>
    <div class="main-container">
        <!-- Barra de navegación -->
        <nav class="navbar">
            <a href="index.php" class="logo">
                <i class="fas fa-brain"></i> Quiztudio
            </a>
        </nav>
        
        <!-- Contenido principal -->
        <div class="content">
            <!-- Fondo con patrones -->
            <div class="bg-pattern"></div>
            
            <!-- Formas flotantes -->
            <div class="floating-shapes">
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
                <div class="shape"></div>
            </div>
            
            <!-- Logo -->
            <div class="logo-container">
                <img src="logo.JPG" alt="Logo de Quiztudio">
            </div>

            <!-- Caja de opciones -->
            <div class="options-box">
                <h2>Validación de Correo</h2>
                <p>Escriba el código enviado a su correo electrónico</p>
                
                <form action="validar_verificacion_correo.php" method="post">
                    <input type="text" name="Cod_Verificacion_Correo" placeholder="Código Verificación" required>
                    <input type="hidden" name="correo" value="<?php echo $correo ?>">
                    <button type="submit" class="button">
                        <i class="fas fa-check-circle"></i> Validar Correo
                    </button>
                </form>
            </div>
        </div>
        
        <!-- Footer -->
        <footer class="footer">
            <p>© 2025 Quiztudio. Todos los derechos reservados.</p>
        </footer>
    </div>
</body>
</html>